## ros-kinetic-rosserial-leonardo-cmake 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(rosserial_leonardo_cmake)

find_package(catkin REQUIRED)
catkin_package(
  CFG_EXTRAS rosserial_leonardo_cmake-extras.cmake)

set(ARDUINO_VERSION "1.0.5")

if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
  set(ARDUINO_DOWNLOAD "arduino-${ARDUINO_VERSION}-linux64.tgz")
else( CMAKE_SIZEOF_VOID_P EQUAL 8 )
  set(ARDUINO_DOWNLOAD "arduino-${ARDUINO_VERSION}-linux32.tgz")
endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )

# Download and unzip the Arduino tarball.
file(DOWNLOAD https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/arduino/${ARDUINO_DOWNLOAD}
  ${PROJECT_BINARY_DIR}/${ARDUINO_DOWNLOAD})
execute_process(
  WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
  COMMAND tar xzf ${ARDUINO_DOWNLOAD} -C ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}
                                      --exclude=reference
                                      --exclude=examples
                                      --exclude=arduino-${ARDUINO_VERSION}/arduino
                                      --exclude=*.jar
                                      --exclude=*.so
                                      --exclude=lib/theme
                                      --exclude=arduino-${ARDUINO_VERSION}/tools
                                      --exclude=arduino-${ARDUINO_VERSION}/hardware/tools
  )

# Legacy target from when the download/untar happened at build time rather than configure time.
add_custom_target(${PROJECT_NAME} ALL
  DEPENDS ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/arduino-${ARDUINO_VERSION} 
)

# Install shared resources, including the sources extracted from the Arduino tarball.
install(DIRECTORY
  ${PROJECT_SOURCE_DIR}/cmake
  ${PROJECT_SOURCE_DIR}/arduino-cmake
  ${PROJECT_SOURCE_DIR}/bootloader
  ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/arduino-${ARDUINO_VERSION}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Install scripts
install(
  PROGRAMS ${PROJECT_SOURCE_DIR}/scripts/upload
           ${PROJECT_SOURCE_DIR}/scripts/enter_bootloader
           ${PROJECT_SOURCE_DIR}/scripts/program_bootloader
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-rosserial-leonardo-cmake (0.1.4-0xenial) xenial; urgency=high

  * Updated arduino link from google code
  * Contributors: Dave Niewinski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-kinetic-rosserial-leonardo-cmake (0.1.3-0xenial) xenial; urgency=high

  * Remove old build deps from lists file as well.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-kinetic-rosserial-leonardo-cmake (0.1.2-0xenial) xenial; urgency=high

  * Remove unneeded build-time dependencies.
  * Third time's the charm at fixing the downloader.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 22 Jul 2014 04:00:00 -0000

ros-kinetic-rosserial-leonardo-cmake (0.1.1-0xenial) xenial; urgency=high

  * Specify build-time rosdeps properly, switch wget -> curl.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 22 Jul 2014 04:00:00 -0000

ros-kinetic-rosserial-leonardo-cmake (0.1.0-0xenial) xenial; urgency=high

  * Initial release to ros-public.
  * Fix for installing bootloader on factory IC.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 21 Jul 2014 04:00:00 -0000

ros-kinetic-rosserial-leonardo-cmake (0.0.2-0xenial) xenial; urgency=high

  * Add avr tools as run dependencies.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 28 Jan 2014 05:00:00 -0000

ros-kinetic-rosserial-leonardo-cmake (0.0.1-0xenial) xenial; urgency=high

  * Initial release

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 22 Jan 2014 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rosserial-leonardo-cmake
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libtar-dev, ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rosserial-leonardo-cmake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, avr-libc, avrdude, gcc-avr, ros-kinetic-rosserial-arduino
Description: CMake scripts for building Arduino Leonardo (atmega32u4) Firmwares

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rosserial-leonardo-cmake//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
